#!/bin/sh
# $Id: git-directories-copy1-no-object.sh 175 2008-08-14 12:38:46Z stsp $

. ./git-init.sh

# Add a directory in repos
mkdir $repos/eta
echo "theta" > $repos/eta/theta
(cd $repos && git add eta)
(cd $repos && git commit -a -m "added eta")

# Create a copy of eta.
cp -r $repos/eta $repos/eta.copied
(cd $repos && git add eta.copied)
(cd $repos && git commit -a -m "copied eta")

# Cherry-pick just the copy into repos2
(cd $repos2 && git fetch)
rev=`(cd $repos2 && git log -1 --pretty=oneline origin | cut -d ' ' -f 1)`
(cd $repos2 && git cherry-pick $rev)
