#!/bin/sh
# $Id: git-directories-copy2-moved.sh 172 2008-08-14 12:26:53Z stsp $

. ./git-init.sh

# Copy a directory in repos.
cp -r $repos/gamma $repos/gamma.copied
(cd $repos && git add gamma.copied)
(cd $repos && git commit -a -m "copied gamma")

# Move a directory to the copy target path in repos2
(cd $repos2 && git mv epsilon gamma.copied)
# Committing here does not affect the merge result.

# Pull the copy into repos2 and merge
(cd $repos2 && git pull)
