#!/bin/sh
# $Id: git-directories-move2-moved.sh 181 2008-08-14 14:23:39Z stsp $

. ./git-init.sh

# Move a directory in repos
(cd $repos && git mv gamma gamma.moved)
(cd $repos && git commit -a -m "renamed gamma")

# Move a directory different directory in repos2 to the move target path
(cd $repos2 && git mv epsilon gamma.moved)
# Committing here affects the merge result, but git won't
# detect a conflict either way.
(cd $repos2 && git commit -a -m "renamed epsilon to the same move target path")

# Pull the rename into repos2 and merge
(cd $repos2 && git pull)
