#!/bin/sh
# $Id: git-files-move1-no-object.sh 155 2008-08-11 17:19:50Z stsp $

. ./git-init.sh

# Add a file in repos
echo "eta" > $repos/eta
(cd $repos && git add eta)
(cd $repos && git commit -a -m "added eta")

# Move the new file.
(cd $repos && git mv eta eta.moved)
(cd $repos && git commit -a -m "moved eta")

# Cherry-pick just the move into repos2
(cd $repos2 && git fetch)
rev=`(cd $repos2 && git log -1 --pretty=oneline origin | cut -d ' ' -f 1)`
(cd $repos2 && git cherry-pick $rev)
