#!/bin/sh
# $Id: git-files-modify-no-object.sh 147 2008-08-11 14:13:15Z stsp $

. ./git-init.sh

# Add a file eta in repos
echo "eta" > $repos/eta
(cd $repos && git add eta)
(cd $repos && git commit -a -m "added eta")

# Modify eta in repos
echo "eta, modified" > $repos/eta
(cd $repos && git add eta)
(cd $repos && git commit -a -m "changed eta")

# Cherry-pick just the modification of eta into repos2
(cd $repos2 && git fetch)
rev=`(cd $repos2 && git log -1 --pretty=oneline origin | cut -d ' ' -f 1)`
(cd $repos2 && git cherry-pick $rev)
