#!/bin/sh
# $Id: git-files-move1-destroyed.sh 178 2008-08-14 13:57:02Z stsp $

. ./git-init.sh

# Move a file in repos
(cd $repos && git mv alpha alpha.moved)
(cd $repos && git commit -a -m "moved alpha")

# Remove the same file in repos2.
(cd $repos2 && git rm alpha)
# We need to commit here, else git won't detect the conflict
(cd $repos2 && git commit -a -m "destroyed alpha")

# Pull the move into repos2 and merge
(cd $repos2 && git pull)

